Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/History	(revision 1337)
@@ -8,12 +8,12 @@
 Summarize all code modifications & keep track of all tags in this file.
 
-****************************************************************************
-*** Geant4 developers can not make changes in this directory or make the ***
-*** History records without permision of M.Kosov: Mikhail.Kossov@cern.ch ***
-****************************************************************************
 
      -----------------------------------------------------------------
      * Please list in reverse chronological order (last date on top) *
      -----------------------------------------------------------------
+
+19-Jun-2010 M.Kosov                             (hadr-chips-V09-03-06)
+-----------------------------------------------------------------------
+Mutual CHIPS tag for the G4-9-4-beta debugging
 
 10-Jun-2010 M.Kosov                           (hadr-chips-body-V09-03-09) 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Chips.hh,v 1.19 2006/06/29 20:05:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4Chips ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QBesIKJY.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QBesIKJY ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCHIPSWorld.hh,v 1.26 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidate.hh,v 1.29 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidate ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidateVector.hh,v 1.22 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QChipolino.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QChipolino ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QContent.hh,v 1.31 2009/07/24 16:37:03 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QContent ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChanVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QEnvironment.hh,v 1.37 2010/02/04 09:32:33 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QEnvironment ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.hh,v 1.11 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QException ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadron.hh,v 1.46 2009/09/08 14:04:14 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QHadron ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -43,5 +43,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteraction.hh,v 1.7 2009/08/28 14:49:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -38,5 +38,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIsotope.hh,v 1.6 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNucleus.hh,v 1.47 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QNucleus ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCode.hh,v 1.30 2009/11/04 11:01:59 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QPDGCode ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCodeVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentCluster.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParentCluster ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentClusterVector.hh,v 1.19 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticle.hh,v 1.25 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParticle ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticleVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1337)
@@ -29,5 +29,5 @@
 
 // $Id: G4QParton.hh,v 1.8 2009/07/17 16:54:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1337)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QPartonPair.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonPairVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -40,5 +40,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QProbability.hh	(revision 1337)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QProbability.hh,v 1.4 2009/09/04 16:13:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 1337)
@@ -27,5 +27,5 @@
 //
 // $Id: G4QString.hh,v 1.11 2009/08/24 14:41:49 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 #ifndef G4QString_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QStringVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QStringVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Quasmon.hh,v 1.46 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4Quasmon ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasmonVector.hh,v 1.22 2009/11/16 18:15:01 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QuasmonVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QBesIKJY.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QBesIKJY.cc,v 1.4 2009/11/10 17:13:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QBesIKJY ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCHIPSWorld.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCHIPSWorld.cc,v 1.33 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QCandidate.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidate.cc,v 1.35 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QCandidate ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QChipolino.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QChipolino.cc,v 1.36 2009/08/10 16:36:53 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QChipolino ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QContent.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QContent.cc,v 1.49 2009/08/07 14:20:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QContent ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.cc,v 1.28 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1337)
@@ -28,6 +28,6 @@
 //
 //
-// $Id: G4QEnvironment.cc,v 1.166 2010/06/10 16:09:49 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QEnvironment.cc,v 1.167 2010/06/19 07:46:44 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QEnvironment ----------------
@@ -143,5 +143,5 @@
                   <<", chipoM="<<std::sqrt(chM2)<<" < m1="<<h1M<<"("<<h1QPDG<<") + m2="
                   <<h2M<<"("<<h2QPDG<<") = "<<h1M+h2M<<G4endl;
-            throw G4QException("G4QEnvironment::HadronizeQEnv: LowMassChipolino in Input");
+            throw G4QException("G4QEnvironment::Constructor: LowMassChipolino in Input");
           }
         }
@@ -4138,5 +4138,46 @@
   G4cout<<"G4QE::EvaporateRes:Called for PDG="<<thePDG<<",4M="<<qH->Get4Momentum()<<G4endl;
 #endif
-  if(theS<0)                                 // Antistrange nucleus
+  if(thePDG==10)
+  {
+    G4QContent   chQC=qH->GetQC();         // Quark content of the Hadron-Chipolino
+    G4QChipolino QCh(chQC);                // Define a Chipolino instance for the Hadron
+    G4LorentzVector ch4M=qH->Get4Momentum(); // 4Mom of the Hadron-Chipolino
+    G4QPDGCode h1QPDG=QCh.GetQPDG1();      // QPDG of the first hadron
+    G4double   h1M   =h1QPDG.GetMass();    // Mass of the first hadron
+    G4QPDGCode h2QPDG=QCh.GetQPDG2();      // QPDG of the second hadron
+    G4double   h2M   =h2QPDG.GetMass();    // Mass of the second hadron
+    G4double   chM2  =ch4M.m2();           // Squared Mass of the Chipolino
+    if( sqr(h1M+h2M) < chM2 )              // Decay is possible
+    {
+      G4LorentzVector h14M(0.,0.,0.,h1M);
+      G4LorentzVector h24M(0.,0.,0.,h2M);
+      if(!G4QHadron(ch4M).DecayIn2(h14M,h24M))
+      {
+        G4cerr<<"***G4QE::EvaporateRes: CM="<<std::sqrt(chM2)<<" -> h1="<<h1QPDG<<"("
+              <<h1M<<") + h2="<<h1QPDG<<"("<<h2M<<") = "<<h1M+h2M<<" **Failed**"<<G4endl;
+        throw G4QException("**G4QEnvironment::EvaporateResidual: QChipolino DecIn2 error");
+      }
+      delete qH;                       // Kill the primary Chipolino
+      G4QHadron* h1H = new G4QHadron(h1QPDG.GetPDGCode(),h14M);
+      theQHadrons.push_back(h1H);      // (delete equivalent)
+#ifdef debug
+      G4cout<<"G4QE::EvaporateResidual: Chipolino -> H1="<<h1QPDG<<h14M<<G4endl;
+#endif
+      qH = new G4QHadron(h2QPDG.GetPDGCode(),h24M);
+      theQHadrons.push_back(qH);       // (delete equivalent)
+#ifdef debug
+      G4cout<<"G4QE::EvaporateResidual: Chipolino -> H2="<<h2QPDG<<h24M<<G4endl;
+#endif
+    }
+    else
+    {
+      G4cerr<<"***G4QEnv::EvaporateResid: ChipoMeson="<<qH->GetQC()<<qH->Get4Momentum()
+            <<", chipoM="<<std::sqrt(chM2)<<" < m1="<<h1M<<"("<<h1QPDG<<") + m2="<<h2M
+            <<"("<<h2QPDG<<") = "<<h1M+h2M<<G4endl;
+      throw G4QException("G4QEnvironment::EvaporateResidual: LowMassChipolino in Input");
+    }
+    return;
+  }
+  else if(theS<0)                                 // Antistrange nucleus
   {
 #ifdef debug
@@ -4161,5 +4202,5 @@
           <<",QC="<<qH->GetQC()<<",MPDG="<<G4QPDGCode(thePDG).GetMass()<<G4endl;
 #endif
-    //DecayMeson(qH);                        // @@
+    //DecayMeson(qH);                        // @@ To be written
     theQHadrons.push_back(qH);
     return;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.cc,v 1.10 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QException ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadron.cc,v 1.64 2009/09/02 15:45:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QHadron ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteraction.cc,v 1.6 2009/08/28 14:49:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIsotope.cc,v 1.16 2010/05/28 15:03:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QIsotope class ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNucleus.cc,v 1.118 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QNucleus ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCode.cc,v 1.65 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QPDGCode ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentCluster.cc,v 1.26 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParentCluster ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticle.cc,v 1.34 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParticle ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParton.cc,v 1.9 2009/07/17 16:54:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1337)
@@ -27,5 +27,5 @@
 //
 // $Id: G4QPartonPair.cc,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QProbability.cc,v 1.3 2009/09/04 16:13:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QString.cc,v 1.17 2009/09/04 14:38:00 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1337)
@@ -29,5 +29,5 @@
 //
 // $Id: G4Quasmon.cc,v 1.125 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4Quasmon ----------------
